<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net8.0-windows7.0</TargetFramework>
		<OutputPath>$(SolutionDir)Binary\History</OutputPath>
		<AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
		<Nullable>enable</Nullable>
		<UseWPF>true</UseWPF>
		<PlatformTarget>AnyCPU</PlatformTarget>
		<ApplicationManifest>app.manifest</ApplicationManifest>
		<CentralPackageTransitivePinningEnabled>true</CentralPackageTransitivePinningEnabled>
		<AllowUnsafeBlocks>true</AllowUnsafeBlocks>
		<UseWindowsForms>True</UseWindowsForms>
		<SatelliteResourceLanguages>zh-Hans</SatelliteResourceLanguages>
	</PropertyGroup>

	<ItemGroup>
	  <Compile Remove="Data\**" />
	  <Compile Remove="Helper\**" />
	  <EmbeddedResource Remove="Data\**" />
	  <EmbeddedResource Remove="Helper\**" />
	  <None Remove="Data\**" />
	  <None Remove="Helper\**" />
	  <Page Remove="Data\**" />
	  <Page Remove="Helper\**" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="CommunityToolkit.Mvvm" />
		<PackageReference Include="HandyControls" />
		<PackageReference Include="Prism.DryIoc" />
		<PackageReference Include="ScottPlot.WPF" />
		<PackageReference Include="System.Management" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\Configs\CofigOperator\ConfigOperator.csproj" />
	  <ProjectReference Include="..\ConsoleData\RealtimeData\RealtimeData.csproj" />
	  <ProjectReference Include="..\DataBase\ORM\ORM.csproj" />
	  <ProjectReference Include="..\DataBase\SqlSugarORM\SqlSugarORM.csproj" />
	  <ProjectReference Include="..\ModelData\AlarmData\AlarmData.csproj" />
	  <ProjectReference Include="..\ModelData\DBData\DBData.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <Resource Include="Resources\BackGround.png" />
	  <Resource Include="Resources\jetplasmalogo.png" />
	</ItemGroup>

	<ItemGroup>
	  <Compile Update="Properties\Settings.Designer.cs">
	    <DesignTimeSharedInput>True</DesignTimeSharedInput>
	    <AutoGen>True</AutoGen>
	    <DependentUpon>Settings.settings</DependentUpon>
	  </Compile>
	</ItemGroup>

	<ItemGroup>
	  <None Update="Properties\Settings.settings">
	    <Generator>SettingsSingleFileGenerator</Generator>
	    <LastGenOutput>Settings.Designer.cs</LastGenOutput>
	  </None>
	</ItemGroup>

</Project>
